Subject: Re: [PATCH/RFC] gitweb: Add title attribute with unshortened value for table cells

From: Jakub Narebski <[email-masked]>
Date: Tue, 20 Jun 2006 11:59:55 +0200

Timo Hirvonen wrote:

> http://onion.dynserv.net/git/gitweb.cgi
> 
> Global symbol "$path" requires explicit package name at
> /var/www/localhost/htdocs/git/gitweb.cgi line 1521.
> Execution of /var/www/localhost/htdocs/git/gitweb.cgi aborted due to
> compilation errors.
> 
> The line is:
> 
> $file =~ m#^/# or $file = "$projectroot/$path/$file";
> 
> $path seems to be undefined.  I don't understand perl very well so I
> can't fix it.

Temporary fix is in:
 
  "[PATCH] Fix: Support for the standard mime.types map in gitweb"
  (Message-Id: <[email-masked]>)
    http://permalink.gmane.org/gmane.comp.version-control.git/22172

BTW. I have _my_ version at 
  http://front.fuw.edu.pl/cgi-bin/jnareb/gitweb.cgi

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git